Debian Bug report logs - #631019
transition: hdf5 1.8.x

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Sylvestre Ledru <sylvestre@debian.org>

Date: Sun, 19 Jun 2011 18:15:04 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Sun, 19 Jun 2011 18:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 19 Jun 2011 18:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: Debian Bug Tracking System <submit@bugs.debian.org>, frankie@debian.org
Subject: Re: HDF5 Transition
Date: Sun, 19 Jun 2011 20:13:04 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

On 02/27/2011 09:15 PM, Sylvestre Ledru wrote:
>
> Just to let you know that we are planning to upload a new upstream
> release of the hdf5 libraries (1.8.4 =>  1.8.6).
> We will switch the API to the version 1.8 (from the 1.6).
> It might break some packages but the fix is easy (just a #define).
> We will also change the package name because it is very likely that the
> API/ABI changed...
> We are not in an hurry but it is a pretty important package [1] [2].
>
> How do you want to processed ?
>
> Cheers,
> Sylvestre
> [1]
> $ apt-cache rdepends libhdf5-serial-1.8.4
> libhdf5-serial-1.8.4
> Reverse Depends:
>   |code-saturne-bin
>   |udav
>   |paraview
>   |octave-ann
>   |libmgl5
>   |libjhdf5-jni
>   |python-h5py
>   |grads
>   |dynare
>   |cdo
>   |shogun-r
>   |shogun-python
>   |shogun-python-modular
>   |shogun-octave
>   |shogun-octave-modular
>   |shogun-elwms
>   |shogun-cmdline
>   |libshogunui6
>   |libshogun9
>   |scilab-minimal-bin
>   |scilab-full-bin
>   |octave-communications
>   |libmgl5
>   |libcgns2
>   |cgns-convert
>   |gnudatalanguage
>   |libgdal1-1.7.0
>   |libgdal-ruby1.8
>   |libgdal-perl
>   |yorick-hdf5
>   |udav
>   |tessa
>   |tessa-mpi
>   |python-silo
>   |libsilo0
>   |libsilo-bin
>   |shogun-r
>   |shogun-python
>   |shogun-python-modular
>   |shogun-octave
>   |shogun-octave-modular
>   |shogun-elwms
>   |shogun-cmdline
>   |libshogunui5
>   |libshogun8
>   |octave-sp
>   |sdpam
>   |scilab-minimal-bin
>   |scilab-full-bin
>   |r-cran-hdf5
>   |python-tables
>   |python-gpiv
>   |octave-plplot
>   |octave-pfstools
>   |paraview
>   |octave3.2
>   |octave-xraylib
>   |octave-symband
>   |octave-sockets
>   |octave-secs2d
>   |octave-secs1d
>   |octave-pdb
>   |octave-optiminterp
>   |octave-octgpr
>   |octave-nlwing2
>   |octave-multicore
>   |octave-miscellaneous
>   |octave-linear-algebra
>   |octave-gsl
>   |octave-ftp
>   |octave-fixed
>   |octave-econometrics
>   |octave-communications
>   |octave-combinatorics
>   |octave-audio
>   |octave-ad
>   |netcdf-bin
>   |libnetcdf6
>   |mpb
>   |mpb-mpi
>   |meep
>   |meep-mpi
>   |libmeep6
>   |libmeep-mpi6
>   |libmgl5
>   |python-mapscript
>   |php5-mapscript
>   |perl-mapscript
>   |mapserver-bin
>   |libmapscript-ruby1.9.1
>   |libmapscript-ruby1.8
>   |cgi-mapserver
>   |python-vigra
>   |libvigraimpex2
>   |libpdl-io-hdf5-perl
>   |libgpiv3
>   |libgpiv-mpi3
>   |libcgns2
>   |cgns-convert
>   |labplot
>   |libjhdf5-jni
>    libhdf5-serial-dev
>   |hdf5-tools
>   |libhe5-hdfeos0
>   |h5utils
>   |python-h5py
>   |grads
>   |gnudatalanguage
>   |libgdal1-1.6.0
>   |libgdal-ruby1.8
>   |libgdal-perl
>   |dynare
>   |cdo
> [2]
> $ apt-cache rdepends libhdf5-openmpi-1.8.4
> libhdf5-openmpi-1.8.4
> Reverse Depends:
>    libmedc1
>    libmed1
>    libslepc3.0.0
>    minc-tools
>    libminc2-1
>    libluminate7
>    illuminator-demo
>    libslepc3.1
>    salome
>    salome-test
>    salome-extras
>    salome-examples
>    libpetsc3.1
>    getdp
>    ecs
>    code-saturne-bin
>    libslepc3.0.0
>    python-petsc4py
>    libpetsc3.1
>    minc-tools
>    libminc2-1
>    meep-openmpi
>    libmeep-openmpi6
>    meep-mpich
>    libmeep-mpich6
>    libmedimportcxx0
>    libmedimport0
>    libmedc1
>    libmed1
>    libmed-tools
>    libluminate7
>    illuminator-demo
>    libhdf5-openmpi-dev
>    getdp
>    ecs
>    python-dolfin
>    libdolfin0
>    code-saturne-bin
>
>
>

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Changed Bug submitter to 'Sylvestre Ledru <sylvestre@debian.org>' from 'Mehdi Dogguy <mehdi@dogguy.org>' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 19 Jun 2011 19:18:09 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 20 Jun 2011 18:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Thu, 21 Jul 2011 09:06:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Francesco P. Lovergine" <frankie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 21 Jul 2011 09:06:20 GMT) Full text and rfc822 format available.

Message #14 received at 631019@bugs.debian.org (full text, mbox):

From: "Francesco P. Lovergine" <frankie@debian.org>
To: 631019@bugs.debian.org
Cc: 631019-submitter@bugs.debian.org, debian-gis@lists.debian.org
Subject: Time to starti HDF5 transitioning?
Date: Thu, 21 Jul 2011 11:04:35 +0200
Hi RMs and d-g followers

I'm going to upload 1.8.7 just after current 1.8.4-patch1-3 will enter
testing, iff any RM had not something to say about that,
and no blocking bugs would come in the next few days about 1.8.4 
to prevent testing transition. On the debiangis side another big
transition will be gdal 1.8.1, but I would complete the hdf5 transition
before that.

Cheers

-- 
Francesco P. Lovergine




Message sent on to Sylvestre Ledru <sylvestre@debian.org>:
Bug#631019. (Thu, 21 Jul 2011 09:06:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Thu, 28 Jul 2011 08:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 28 Jul 2011 08:21:08 GMT) Full text and rfc822 format available.

Message #22 received at 631019@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: "Francesco P. Lovergine" <frankie@debian.org>, 631019-quiet@bugs.debian.org
Cc: 631019@bugs.debian.org, 631019-submitter@bugs.debian.org, debian-gis@lists.debian.org
Subject: Re: Bug#631019: Time to starti HDF5 transitioning?
Date: Thu, 28 Jul 2011 10:17:37 +0200
Le jeudi 21 juillet 2011 à 11:04 +0200, Francesco P. Lovergine a écrit :
> Hi RMs and d-g followers
> 
> I'm going to upload 1.8.7 
Before doing that, if you don't mind, I would like to add symbol files
to the C library.

Sylvestre






Information stored :
Bug#631019; Package release.debian.org. (Thu, 28 Jul 2011 08:21:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 28 Jul 2011 08:21:26 GMT) Full text and rfc822 format available.

Message sent on to Sylvestre Ledru <sylvestre@debian.org>:
Bug#631019. (Thu, 28 Jul 2011 08:21:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Thu, 01 Sep 2011 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 01 Sep 2011 22:15:03 GMT) Full text and rfc822 format available.

Message #35 received at 631019@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: 631019@bugs.debian.org
Subject: HDF5 transition, the return!
Date: Fri, 02 Sep 2011 00:10:43 +0200
Hello,

I did many changes in the HDF5 libraries (including symbol files!). I
will detail them later.

As Julien requested, here is the list of the packages with their RCs bug
([] is none).
Do I have to add them of dependency for this bug/transition ?

cdo []
cgi-mapserver []
cgns-convert []
code-saturne-bin []
dynare []
ecs []
feel++-apps []
getdp []
gmsh [617931]
gnudatalanguage []
grads [634524]
h5utils []
illuminator-demo []
labplot [555073]
libadios-dev [639257]
libcgns2 []
libdolfin1.0 []
libfeel++1 []
libgdal1-1.6.0 []
libgdal1-1.7.0 [638210]
libgdal1-1.8.0 []
libgdal-perl []
libgdal-ruby1.8 []
libgpiv3 []
libgpiv-mpi3 []
libhdfeos5-ruby1.8 []
libhdfeos5-ruby1.9.1 []
libhe5-hdfeos0 []
libjhdf5-jni []
libluminate7 []
libmapscript-ruby1.8 []
libmapscript-ruby1.9.1 []
libmed1 []
libmedc1 []
libmedimport0 []
libmedimportcxx0 []
libmed-tools []
libmeep6 []
libmeep-mpi6 []
libmeep-mpich6 []
libmeep-openmpi6 []
libmgl5 []
libmgl-fltk5 []
libmgl-glut5 []
libmgl-qt5 []
libmgl-wx5 []
libminc2-1 []
libnetcdf6 []
libnexus0 []
libnexus0-java []
libpdl-io-hdf5-perl []
libpetsc3.1 []
libshogun8 []
libshogun9 []
libshogunui5 []
libshogunui6 []
libsilo0 []
libsilo-bin []
libslepc3.0.0 []
libslepc3.1 []
libvigraimpex2 []
libvigraimpex3 []
libxdmf2 []
mapserver-bin []
mathgl [638834]
meep []
meep-mpi []
meep-mpich []
meep-openmpi []
minc-tools []
mpb []
mpb-mpi []
netcdf-bin []
nexus-tools []
octave3.2 [637787, 618139]
octave-ad []
octave-ann []
octave-audio []
octave-biosig []
octave-combinatorics []
octave-communications []
octave-econometrics []
octave-fixed []
octave-ftp []
octave-gsl []
octave-linear-algebra []
octave-miscellaneous []
octave-multicore []
octave-nlwing2 []
octave-octgpr []
octave-optiminterp []
octave-pdb []
octave-pfstools []
octave-plplot []
octave-secs1d []
octave-secs2d []
octave-sockets []
octave-sp []
octave-symband []
octave-xraylib []
paraview [516689, 637397, 637609, 625055]
perl-mapscript []
php5-mapscript []
python-dolfin [631589]
python-gpiv []
python-h5py []
python-mapscript []
python-mathgl []
python-petsc4py []
python-silo []
python-stfio [631983]
python-tables []
python-vigra []
r-cran-hdf5 []
salome [607655, 607651, 619662, 596315, 598421, 605154, 593657, 587387,
605812, 629765, 607024, 611095, 631827, 616278]
salome-examples []
salome-extras []
salome-test []
scilab-full-bin []
scilab-minimal-bin []
sdpam []
shogun-cmdline []
shogun-elwms []
shogun-octave []
shogun-octave-modular []
shogun-python []
shogun-python-modular []
shogun-r []
stimfit [631825, 621778]
tessa []
tessa-mpi []
udav []
yorick-hdf5 []

Thanks,
Sylvestre





Changed Bug title to 'transition: hdf5 1.8.x' from 'HDF5 Transition' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 03 Sep 2011 14:36:14 GMT) Full text and rfc822 format available.

Added indication that bug 631019 blocks 645105 Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Tue, 01 Nov 2011 11:33:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Wed, 07 Dec 2011 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Dec 2011 22:09:03 GMT) Full text and rfc822 format available.

Message #44 received at 631019@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 631019@bugs.debian.org
Subject: Re: Bug#631019: HDF5 transition, the return!
Date: Wed, 7 Dec 2011 23:07:09 +0100
On Fri, Sep  2, 2011 at 00:10:43 +0200, Sylvestre Ledru wrote:

> Hello,
> 
> I did many changes in the HDF5 libraries (including symbol files!). I
> will detail them later.
> 
> As Julien requested, here is the list of the packages with their RCs bug
> ([] is none).
> Do I have to add them of dependency for this bug/transition ?
> 
Thanks for the list.  I'm skipping the not-buggy packages.

> feel++-apps []

There's #650642.  But the package is not in testing, so we can probably
ignore it.

> gmsh [617931]

Not an issue for this.

> grads [634524]

Since fixed.

> illuminator-demo []

#646142 is fixed in sid, but the fixed package ftbfs on sparc so won't
move to testing:
https://buildd.debian.org/status/fetch.php?pkg=illuminator&arch=sparc&ver=0.11.0-8.1&stamp=1323062646

> labplot [555073]

Package no longer in the archive.

> libadios-dev [639257]

Fixed.

> libgdal1-1.7.0 [638210]

Fixed.

> libpetsc3.1 []

#643488, fixed package in sid FTBFS on armel
https://buildd.debian.org/status/fetch.php?pkg=petsc&arch=armel&ver=3.1.dfsg-11.1&stamp=1321433035

> libshogun8 []
> libshogun9 []
> libshogunui5 []
> libshogunui6 []

#616279, #645249
shogun is not in testing, though, so safe to ignore.

> libslepc3.0.0 []
> libslepc3.1 []

#624671.  Apparently no reverse dependencies, though.

> mathgl [638834]

Fixed.

> octave3.2 [637787, 618139]

Both fixed.

> octave-biosig []

#641790, fixed in sid, 4/10 days.

> octave-plplot []

plplot's currently blocked by gnat.  That'll need some sorting out...

> paraview [516689, 637397, 637609, 625055]

All fixed.

> python-dolfin [631589]

Fixed.

> python-gpiv []

#650598.

> python-petsc4py []

#626858, but removed

> python-stfio [631983]

Not an issue.

> salome [607655, 607651, 619662, 596315, 598421, 605154, 593657, 587387,
> 605812, 629765, 607024, 611095, 631827, 616278]

Not in testing, won't matter.

> stimfit [631825, 621778]

Package isn't in testing.  Meh.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Wed, 07 Dec 2011 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Dec 2011 22:18:03 GMT) Full text and rfc822 format available.

Message #49 received at 631019@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 631019@bugs.debian.org
Subject: Re: Bug#631019: HDF5 transition, the return!
Date: Wed, 07 Dec 2011 23:14:18 +0100
Le mercredi 07 décembre 2011 à 23:07 +0100, Julien Cristau a écrit :
> On Fri, Sep  2, 2011 at 00:10:43 +0200, Sylvestre Ledru wrote:
> 
> > Hello,
> > 
> > I did many changes in the HDF5 libraries (including symbol files!). I
> > will detail them later.
> > 
> > As Julien requested, here is the list of the packages with their RCs bug
> > ([] is none).
> > Do I have to add them of dependency for this bug/transition ?
> > 
> Thanks for the list.  I'm skipping the not-buggy packages.
OK. So, it doesn't sound too bad, isn't it ?

Sylvestre






Added blocking bug(s) of 631019: 624671, 643488, 650598, 646142, and 641790 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 08 Dec 2011 08:30:03 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 08 Dec 2011 08:45:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 631019: 651452 and 651453 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 08 Dec 2011 19:09:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Thu, 08 Dec 2011 19:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 08 Dec 2011 19:21:07 GMT) Full text and rfc822 format available.

Message #60 received at 631019@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 631019@bugs.debian.org
Subject: Re: Bug#631019: HDF5 transition, the return!
Date: Thu, 8 Dec 2011 20:17:57 +0100
On Wed, Dec  7, 2011 at 23:14:18 +0100, Sylvestre Ledru wrote:

> Le mercredi 07 décembre 2011 à 23:07 +0100, Julien Cristau a écrit :
> > On Fri, Sep  2, 2011 at 00:10:43 +0200, Sylvestre Ledru wrote:
> > 
> > > Hello,
> > > 
> > > I did many changes in the HDF5 libraries (including symbol files!). I
> > > will detail them later.
> > > 
> > > As Julien requested, here is the list of the packages with their RCs bug
> > > ([] is none).
> > > Do I have to add them of dependency for this bug/transition ?
> > > 
> > Thanks for the list.  I'm skipping the not-buggy packages.
> OK. So, it doesn't sound too bad, isn't it ?
> 
Depends if we're happy with removing petsc, getdp, illuminator, slepc,
plplot, gnudatalanguage, cl-plplot and pygpiv from testing.  Are we?

(And if no new issues turn up in the mean time.)

Cheers,
Julien




Bug 651452 cloned as bug 652025. Request was from Alexander Reichle-Schmehl <alexander@schmehl.info> to control@bugs.debian.org. (Wed, 14 Dec 2011 09:10:49 GMT) Full text and rfc822 format available.

Bug 651452 cloned as bug 652307. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Fri, 16 Dec 2011 00:48:05 GMT) Full text and rfc822 format available.

Bug 651452 cloned as bug 652308. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Fri, 16 Dec 2011 00:48:12 GMT) Full text and rfc822 format available.

Bug 651452 cloned as bug 652309. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Fri, 16 Dec 2011 00:48:19 GMT) Full text and rfc822 format available.

Bug 651452 cloned as bug 652310. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Fri, 16 Dec 2011 00:48:26 GMT) Full text and rfc822 format available.

Bug 651452 cloned as bug 652311. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Fri, 16 Dec 2011 00:48:33 GMT) Full text and rfc822 format available.

Bug 651452 cloned as bug 652312. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Fri, 16 Dec 2011 00:48:40 GMT) Full text and rfc822 format available.

Bug 651452 cloned as bug 652313. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Fri, 16 Dec 2011 00:48:47 GMT) Full text and rfc822 format available.

Bug 651452 cloned as bug 652314. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Fri, 16 Dec 2011 00:48:53 GMT) Full text and rfc822 format available.

Bug 651452 cloned as bug 652315. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Fri, 16 Dec 2011 00:49:00 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Wed, 28 Dec 2011 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Francesco P. Lovergine" <frankie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 28 Dec 2011 20:51:06 GMT) Full text and rfc822 format available.

Message #85 received at 631019@bugs.debian.org (full text, mbox):

From: "Francesco P. Lovergine" <frankie@debian.org>
To: Julien Cristau <jcristau@debian.org>, 631019@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: Bug#631019: HDF5 transition, the return!
Date: Wed, 28 Dec 2011 21:25:30 +0100
On Thu, Dec 08, 2011 at 08:17:57PM +0100, Julien Cristau wrote:
> > > > 
> > > Thanks for the list.  I'm skipping the not-buggy packages.
> > OK. So, it doesn't sound too bad, isn't it ?
> > 
> Depends if we're happy with removing petsc, getdp, illuminator, slepc,
> plplot, gnudatalanguage, cl-plplot and pygpiv from testing.  Are we?
> 
> (And if no new issues turn up in the mean time.)
> 

At the same time, new NetCDF requires a post 1.8.6+ to work so its
transition depends on that of HDF5.

-- 
Francesco P. Lovergine




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Mon, 09 Jan 2012 21:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Jan 2012 21:06:09 GMT) Full text and rfc822 format available.

Message #90 received at 631019@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 631019@bugs.debian.org
Subject: Re: Bug#631019: HDF5 transition, the return!
Date: Mon, 9 Jan 2012 22:03:58 +0100
On Thu, Dec  8, 2011 at 20:17:57 +0100, Julien Cristau wrote:

> Depends if we're happy with removing petsc, getdp, illuminator, slepc,
> plplot, gnudatalanguage, cl-plplot and pygpiv from testing.  Are we?
> 
So apparently nobody cares...

Go ahead with hdf5 1.8.8 in sid then, and I'll know who to hunt down if
there's issues.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Tue, 17 Jan 2012 18:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Jan 2012 18:27:05 GMT) Full text and rfc822 format available.

Message #95 received at 631019@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 631019@bugs.debian.org
Subject: Re: Bug#631019: HDF5 transition, the return!
Date: Tue, 17 Jan 2012 19:24:12 +0100
Le lundi 09 janvier 2012 à 22:03 +0100, Julien Cristau a écrit :
> On Thu, Dec  8, 2011 at 20:17:57 +0100, Julien Cristau wrote:
> 
> > Depends if we're happy with removing petsc, getdp, illuminator, slepc,
> > plplot, gnudatalanguage, cl-plplot and pygpiv from testing.  Are we?
> > 
> So apparently nobody cares...
> 
> Go ahead with hdf5 1.8.8 in sid
Uploaded! 

> then, and I'll know who to hunt down if there's issues.
;)

Sylvestre






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Wed, 18 Jan 2012 18:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 Jan 2012 18:36:07 GMT) Full text and rfc822 format available.

Message #100 received at 631019@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: "A. Maitland Bottoms" <bottoms@debian.org>, Alastair McKinstry <mckinstry@debian.org>, Axel Beckert <abe@debian.org>, Carlo Segre <segre@debian.org>, Christoph Schmidt-Hieber <christsc@gmx.de>, Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, D Haley <mycae@yahoo.com>, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>, Debian QA Group <packages@qa.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>, Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>, Dirk Eddelbuettel <edd@debian.org>, Dominique Belhachemi <domibel@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, Gerber van der Graaf <gerber_graaf@users.sourceforge.net>, Gürkan Sengün <gurkan@phys.ethz.ch>, Henning Glawe <glaweh@debian.org>, Josselin Mouette <joss@debian.org>, "Juan A." Añel <aetherlux@gulo.org>, Mathieu Malaterre <mathieu.malaterre@gmail.com>, Salvatore Bonaccorso <carnil@debian.org>, Soeren Sonnenburg <sonne@debian.org>, Sébastien Villemot <sebastien.villemot@ens.fr>, Thibaut Paumard <paumard@users.sourceforge.net>, Thomas Weber <tweber@debian.org>, Thorsten Alteholz <debian@alteholz.de>, Tobias Stefan Richter <tsr-debian@achos.com>, Wen Heping <wenheping@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Cc: 631019@bugs.debian.org
Date: Wed, 18 Jan 2012 19:33:27 +0100
Hello,

It has been a long time since the last upload of hdf5 in unstable but
here it is, version 1.8.8 is in unstable!

I need your help with the transition [1].
In most of the cases, a renamed of the build dep libhdf5-serial-dev =>
libhdf5-dev with a rebuild should be enough. Otherwise, don't hesitate
to ping me.

 While it should not impact you much, changes are important [1]:
   * Since upstream is now trying to keep a consistent ABI/API, packages
have been renamed from libhdf5-xxx-X.Y.Z (X, Y and Z being the version
number) to libhdf5-xxx-7 (7 being the version of the soname)
      * The package libhdf5-serial-* have been renamed to libhdf5-7 or
        libhdf5-dev
      * Symbol files have been added for all the libraries.
      * arm archs have also libhdf5-openmpi-dev
      * Support of HURD, armhf & s390x
      * Help is now up to date and the debian/html.tgz.uu removed
        (thanks to the source format v3.0, two source tarballs are now
        used)
      * A new package hdf5-helpers which contains h5cc, h5c++ and h5fc
        has been introduced
      * Fix many lintian warnings
      * Java HDF has been updated to version 2.8

There is the list of the impacted packages, sorted by maintainer is
available at [3] (I am aware that most of you will received duplicate
emails and I apologize).

Thanks for the help,
Sylvestre

[1] http://release.debian.org/transitions/html/hdf5.html
[2] It is just a lazy copy & paste from my blog:
http://sylvestre.ledru.info/blog/sylvestre/2012/01/18/major_changes_in_the_debian_hdf5_package
[3] 
A. Maitland Bottoms <bottoms@debian.org>
   vtk

Alastair McKinstry <mckinstry@debian.org>
   exodusii
   grads
   hdf-eos5
   magics++
   oasis3
   silo-llnl

Axel Beckert <abe@debian.org>
   gnudatalanguage (U)

Carlo Segre <segre@debian.org>
   nexus (U)

Christoph Schmidt-Hieber <christsc@gmx.de>
   stimfit

Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>
   getdp (U)

D Haley <mycae@yahoo.com>
   mathgl (U)

Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
   gdal
   h5utils
   netcdf
   ruby-hdfeos5

Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
   octave-bim
   octave-msh
   octave3.2

Debian QA Group <packages@qa.debian.org>
   libvigraimpex

Debian Science Maintainers
<debian-science-maintainers@lists.alioth.debian.org>
   mathgl
   udav

Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
   getdp
   jhdf
   libcgns
   scilab

Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
   mathgl (U)

Dirk Eddelbuettel <edd@debian.org>
   r-cran-hdf5

Dominique Belhachemi <domibel@debian.org>
   vtk (U)

Francesco Paolo Lovergine <frankie@debian.org>
   gdal (U)
   h5utils (U)
   netcdf (U)

Gerber van der Graaf <gerber_graaf@users.sourceforge.net>
   gpiv
   gpivtools
   libgpiv
   pygpiv

Gürkan Sengün <gurkan@phys.ethz.ch>
   gnudatalanguage

Henning Glawe <glaweh@debian.org>
   libpdl-io-hdf5-perl

Josselin Mouette <joss@debian.org>
   tessa

Juan A. Añel <aetherlux@gulo.org>
   gnudatalanguage (U)

Mathieu Malaterre <mathieu.malaterre@gmail.com>
   vtk (U)

Salvatore Bonaccorso <carnil@debian.org>
   udav (U)

Soeren Sonnenburg <sonne@debian.org>
   h5py
   shogun

Sylvestre Ledru <sylvestre@debian.org>
   jhdf (U)
   libcgns (U)
   scilab (U)

Sébastien Villemot <sebastien.villemot@ens.fr>
   octave-bim (U)
   octave-msh (U)

Thibaut Paumard <paumard@users.sourceforge.net>
   yorick-hdf5

Thomas Weber <tweber@debian.org>
   octave-bim (U)
   octave-msh (U)
   octave3.2 (U)

Thorsten Alteholz <debian@alteholz.de>
   meep
   meep-mpich
   meep-openmpi
   mpb

Tobias Stefan Richter <tsr-debian@achos.com>
   nexus

Wen Heping <wenheping@gmail.com>
   pytables

Yaroslav Halchenko <debian@onerussian.com>
   stimfit (U)

Youhei SASAKI <uwabami@gfd-dennou.org>
   ruby-hdfeos5 (U)







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Wed, 18 Jan 2012 18:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 Jan 2012 18:36:09 GMT) Full text and rfc822 format available.

Message #105 received at 631019@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: "A. Maitland Bottoms" <bottoms@debian.org>, Alastair McKinstry <mckinstry@debian.org>, Axel Beckert <abe@debian.org>, Carlo Segre <segre@debian.org>, Christoph Schmidt-Hieber <christsc@gmx.de>, Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, D Haley <mycae@yahoo.com>, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>, Debian QA Group <packages@qa.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>, Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>, Dirk Eddelbuettel <edd@debian.org>, Dominique Belhachemi <domibel@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, Gerber van der Graaf <gerber_graaf@users.sourceforge.net>, Gürkan Sengün <gurkan@phys.ethz.ch>, Henning Glawe <glaweh@debian.org>, Josselin Mouette <joss@debian.org>, "Juan A." Añel <aetherlux@gulo.org>, Mathieu Malaterre <mathieu.malaterre@gmail.com>, Salvatore Bonaccorso <carnil@debian.org>, Soeren Sonnenburg <sonne@debian.org>, Sébastien Villemot <sebastien.villemot@ens.fr>, Thibaut Paumard <paumard@users.sourceforge.net>, Thomas Weber <tweber@debian.org>, Thorsten Alteholz <debian@alteholz.de>, Tobias Stefan Richter <tsr-debian@achos.com>, Wen Heping <wenheping@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Cc: 631019@bugs.debian.org
Subject: HDF5 transition from version 1.8.6 => 1.8.8
Date: Wed, 18 Jan 2012 19:34:16 +0100
Hello,

It has been a long time since the last upload of hdf5 in unstable but
here it is, version 1.8.8 is in unstable!

I need your help with the transition [1].
In most of the cases, a renamed of the build dep libhdf5-serial-dev =>
libhdf5-dev with a rebuild should be enough. Otherwise, don't hesitate
to ping me.

 While it should not impact you much, changes are important [1]:
   * Since upstream is now trying to keep a consistent ABI/API, packages
have been renamed from libhdf5-xxx-X.Y.Z (X, Y and Z being the version
number) to libhdf5-xxx-7 (7 being the version of the soname)
      * The package libhdf5-serial-* have been renamed to libhdf5-7 or
        libhdf5-dev
      * Symbol files have been added for all the libraries.
      * arm archs have also libhdf5-openmpi-dev
      * Support of HURD, armhf & s390x
      * Help is now up to date and the debian/html.tgz.uu removed
        (thanks to the source format v3.0, two source tarballs are now
        used)
      * A new package hdf5-helpers which contains h5cc, h5c++ and h5fc
        has been introduced
      * Fix many lintian warnings
      * Java HDF has been updated to version 2.8

There is the list of the impacted packages, sorted by maintainer is
available at [3] (I am aware that most of you will received duplicate
emails and I apologize).

Thanks for the help,
Sylvestre

[1] http://release.debian.org/transitions/html/hdf5.html
[2] It is just a lazy copy & paste from my blog:
http://sylvestre.ledru.info/blog/sylvestre/2012/01/18/major_changes_in_the_debian_hdf5_package
[3] 
A. Maitland Bottoms <bottoms@debian.org>
   vtk

Alastair McKinstry <mckinstry@debian.org>
   exodusii
   grads
   hdf-eos5
   magics++
   oasis3
   silo-llnl

Axel Beckert <abe@debian.org>
   gnudatalanguage (U)

Carlo Segre <segre@debian.org>
   nexus (U)

Christoph Schmidt-Hieber <christsc@gmx.de>
   stimfit

Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>
   getdp (U)

D Haley <mycae@yahoo.com>
   mathgl (U)

Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
   gdal
   h5utils
   netcdf
   ruby-hdfeos5

Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
   octave-bim
   octave-msh
   octave3.2

Debian QA Group <packages@qa.debian.org>
   libvigraimpex

Debian Science Maintainers
<debian-science-maintainers@lists.alioth.debian.org>
   mathgl
   udav

Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
   getdp
   jhdf
   libcgns
   scilab

Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
   mathgl (U)

Dirk Eddelbuettel <edd@debian.org>
   r-cran-hdf5

Dominique Belhachemi <domibel@debian.org>
   vtk (U)

Francesco Paolo Lovergine <frankie@debian.org>
   gdal (U)
   h5utils (U)
   netcdf (U)

Gerber van der Graaf <gerber_graaf@users.sourceforge.net>
   gpiv
   gpivtools
   libgpiv
   pygpiv

Gürkan Sengün <gurkan@phys.ethz.ch>
   gnudatalanguage

Henning Glawe <glaweh@debian.org>
   libpdl-io-hdf5-perl

Josselin Mouette <joss@debian.org>
   tessa

Juan A. Añel <aetherlux@gulo.org>
   gnudatalanguage (U)

Mathieu Malaterre <mathieu.malaterre@gmail.com>
   vtk (U)

Salvatore Bonaccorso <carnil@debian.org>
   udav (U)

Soeren Sonnenburg <sonne@debian.org>
   h5py
   shogun

Sylvestre Ledru <sylvestre@debian.org>
   jhdf (U)
   libcgns (U)
   scilab (U)

Sébastien Villemot <sebastien.villemot@ens.fr>
   octave-bim (U)
   octave-msh (U)

Thibaut Paumard <paumard@users.sourceforge.net>
   yorick-hdf5

Thomas Weber <tweber@debian.org>
   octave-bim (U)
   octave-msh (U)
   octave3.2 (U)

Thorsten Alteholz <debian@alteholz.de>
   meep
   meep-mpich
   meep-openmpi
   mpb

Tobias Stefan Richter <tsr-debian@achos.com>
   nexus

Wen Heping <wenheping@gmail.com>
   pytables

Yaroslav Halchenko <debian@onerussian.com>
   stimfit (U)

Youhei SASAKI <uwabami@gfd-dennou.org>
   ruby-hdfeos5 (U)








Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 21 Jan 2012 17:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Mon, 23 Jan 2012 22:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thibaut Paumard <paumard@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 23 Jan 2012 22:36:04 GMT) Full text and rfc822 format available.

Message #112 received at 631019@bugs.debian.org (full text, mbox):

From: Thibaut Paumard <paumard@users.sourceforge.net>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: "A. Maitland Bottoms" <bottoms@debian.org>, Alastair McKinstry <mckinstry@debian.org>, Axel Beckert <abe@debian.org>, Carlo Segre <segre@debian.org>, Christoph Schmidt-Hieber <christsc@gmx.de>, Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, D Haley <mycae@yahoo.com>, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>, Debian QA Group <packages@qa.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>, Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>, Dirk Eddelbuettel <edd@debian.org>, Dominique Belhachemi <domibel@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, Gerber van der Graaf <gerber_graaf@users.sourceforge.net>, Gürkan Sengün <gurkan@phys.ethz.ch>, Henning Glawe <glaweh@debian.org>, Josselin Mouette <joss@debian.org>, "\"Juan A.\" Añel" <aetherlux@gulo.org>, Mathieu Malaterre <mathieu.malaterre@gmail.com>, Salvatore Bonaccorso <carnil@debian.org>, Soeren Sonnenburg <sonne@debian.org>, Sébastien Villemot <sebastien.villemot@ens.fr>, Thomas Weber <tweber@debian.org>, Thorsten Alteholz <debian@alteholz.de>, Tobias Stefan Richter <tsr-debian@achos.com>, Wen Heping <wenheping@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>, 631019@bugs.debian.org
Subject: Re: HDF5 transition from version 1.8.6 => 1.8.8
Date: Mon, 23 Jan 2012 23:23:53 +0100
[Message part 1 (text/plain, inline)]
Hi,

Le 18/01/12 19:34, Sylvestre Ledru a écrit :
> I need your help with the transition [1].
> In most of the cases, a renamed of the build dep libhdf5-serial-dev =>
> libhdf5-dev with a rebuild should be enough. Otherwise, don't hesitate
> to ping me.

Can you specify the preferred exact build dependency? "libhdf5-dev" as
well as "libhdf5-dev (>= 1.8.8~)" don't seem to be enough because
libhdf5-dev is a virtual package. I have used "libhdf5-dev (>= 1.8.8~) |
libhdf5-serial-dev".

Best regards, Thibaut.


[signature.asc (application/pgp-signature, attachment)]

Added blocking bug(s) of 631019: 657198 and 657199 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 24 Jan 2012 19:54:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 631019: 657203 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 24 Jan 2012 20:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Wed, 25 Jan 2012 07:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 25 Jan 2012 07:48:09 GMT) Full text and rfc822 format available.

Message #121 received at 631019@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 631019@bugs.debian.org
Subject: Re: Bug#631019: HDF5 transition from version 1.8.6 => 1.8.8
Date: Wed, 25 Jan 2012 08:33:22 +0100
[Message part 1 (text/plain, inline)]
Hi Sylvestre

> Salvatore Bonaccorso <carnil@debian.org>
>    udav (U)

I have prepared the package 'udav' for this transition. But I cannot
build it currently. I will upload once I can test it.

Many thanks for your work,
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Wed, 25 Jan 2012 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 25 Jan 2012 08:27:03 GMT) Full text and rfc822 format available.

Message #126 received at 631019@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 631019@bugs.debian.org
Subject: Re: Bug#631019: HDF5 transition from version 1.8.6 => 1.8.8
Date: Wed, 25 Jan 2012 09:23:17 +0100
Hello Salvatore,

Le mercredi 25 janvier 2012 à 08:33 +0100, Salvatore Bonaccorso a
écrit :
> Hi Sylvestre
> 
> > Salvatore Bonaccorso <carnil@debian.org>
> >    udav (U)
> 
> I have prepared the package 'udav' for this transition. But I cannot
> build it currently. I will upload once I can test it.
Is the problem you are experiencing is due to HDF5 ?

Thanks,
Sylvestre





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Wed, 25 Jan 2012 08:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 25 Jan 2012 08:45:04 GMT) Full text and rfc822 format available.

Message #131 received at 631019@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 631019@bugs.debian.org
Subject: Re: Bug#631019: HDF5 transition from version 1.8.6 => 1.8.8
Date: Wed, 25 Jan 2012 09:43:03 +0100
[Message part 1 (text/plain, inline)]
Hello Sylvestre

On Wed, Jan 25, 2012 at 09:23:17AM +0100, Sylvestre Ledru wrote:
> Hello Salvatore,
> 
> Le mercredi 25 janvier 2012 à 08:33 +0100, Salvatore Bonaccorso a
> écrit :
> > Hi Sylvestre
> > 
> > > Salvatore Bonaccorso <carnil@debian.org>
> > >    udav (U)
> > 
> > I have prepared the package 'udav' for this transition. But I cannot
> > build it currently. I will upload once I can test it.
> Is the problem you are experiencing is due to HDF5 ?

It's during build, I have libhdf5-dev in Build-Depends now. udav works
should work with the serial implementation. This is quaranteed by
having libhfd5-dev installed, which provides libhdf5-serial-dev,
right? It does not have all 1.8.8 packages in right now.

But during build it still pull's in: libhdf5-dev, libhdf5-7 but
wrongly libhdf5-serial-1.8.4. But the problem seems to be that
mathgl is still at 1.11.2-7.

I suspect I simply have to wait until mathgl is build and then I can
upload udav with changed Build-Depends.

Regards,
Salvatore
[udav_0.7.1.2-3_amd64.build.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Thu, 26 Jan 2012 14:21:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 26 Jan 2012 14:21:21 GMT) Full text and rfc822 format available.

Message #136 received at 631019@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: "A. Maitland Bottoms" <bottoms@debian.org>, Axel Beckert <abe@debian.org>, Carlo Segre <segre@debian.org>, Christoph Schmidt-Hieber <christsc@gmx.de>, Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, D Haley <mycae@yahoo.com>, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>, Debian QA Group <packages@qa.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>, Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>, Dirk Eddelbuettel <edd@debian.org>, Dominique Belhachemi <domibel@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, Gerber van der Graaf <gerber_graaf@users.sourceforge.net>, Gürkan Sengün <gurkan@phys.ethz.ch>, Henning Glawe <glaweh@debian.org>, Josselin Mouette <joss@debian.org>, "\"Juan A.\" Añel" <aetherlux@gulo.org>, Mathieu Malaterre <mathieu.malaterre@gmail.com>, Salvatore Bonaccorso <carnil@debian.org>, Soeren Sonnenburg <sonne@debian.org>, Sébastien Villemot <sebastien.villemot@ens.fr>, Thibaut Paumard <paumard@users.sourceforge.net>, Thomas Weber <tweber@debian.org>, Thorsten Alteholz <debian@alteholz.de>, Tobias Stefan Richter <tsr-debian@achos.com>, Wen Heping <wenheping@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>, 631019@bugs.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Subject: Re: HDF5 transition from version 1.8.6 => 1.8.8
Date: Thu, 26 Jan 2012 13:41:02 +0000
Hi,

Who from the GIS team is going to build and upload netcdf?
I've tested a new release of grads and anything depending on netcdf
cannot be built until netcdf is built for 1.8.8.

We need to test netcdf against hdf5-1.8.8 (i.e. netcdf4 format); there is
netcdf-4.1.3 in experimental ...


Regards
Alastair



On 2012-01-18 18:34, Sylvestre Ledru wrote:
> Hello,
>
> It has been a long time since the last upload of hdf5 in unstable but
> here it is, version 1.8.8 is in unstable!
>
> I need your help with the transition [1].
> In most of the cases, a renamed of the build dep libhdf5-serial-dev =>
> libhdf5-dev with a rebuild should be enough. Otherwise, don't hesitate
> to ping me.
>
>  While it should not impact you much, changes are important [1]:
>    * Since upstream is now trying to keep a consistent ABI/API, packages
> have been renamed from libhdf5-xxx-X.Y.Z (X, Y and Z being the version
> number) to libhdf5-xxx-7 (7 being the version of the soname)
>       * The package libhdf5-serial-* have been renamed to libhdf5-7 or
>         libhdf5-dev
>       * Symbol files have been added for all the libraries.
>       * arm archs have also libhdf5-openmpi-dev
>       * Support of HURD, armhf & s390x
>       * Help is now up to date and the debian/html.tgz.uu removed
>         (thanks to the source format v3.0, two source tarballs are now
>         used)
>       * A new package hdf5-helpers which contains h5cc, h5c++ and h5fc
>         has been introduced
>       * Fix many lintian warnings
>       * Java HDF has been updated to version 2.8
>
> There is the list of the impacted packages, sorted by maintainer is
> available at [3] (I am aware that most of you will received duplicate
> emails and I apologize).
>
> Thanks for the help,
> Sylvestre
>
> [1] http://release.debian.org/transitions/html/hdf5.html
> [2] It is just a lazy copy & paste from my blog:
> http://sylvestre.ledru.info/blog/sylvestre/2012/01/18/major_changes_in_the_debian_hdf5_package
> [3] 
> A. Maitland Bottoms <bottoms@debian.org>
>    vtk
>
> Alastair McKinstry <mckinstry@debian.org>
>    exodusii
>    grads
>    hdf-eos5
>    magics++
>    oasis3
>    silo-llnl
>
> Axel Beckert <abe@debian.org>
>    gnudatalanguage (U)
>
> Carlo Segre <segre@debian.org>
>    nexus (U)
>
> Christoph Schmidt-Hieber <christsc@gmx.de>
>    stimfit
>
> Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>
>    getdp (U)
>
> D Haley <mycae@yahoo.com>
>    mathgl (U)
>
> Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
>    gdal
>    h5utils
>    netcdf
>    ruby-hdfeos5
>
> Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
>    octave-bim
>    octave-msh
>    octave3.2
>
> Debian QA Group <packages@qa.debian.org>
>    libvigraimpex
>
> Debian Science Maintainers
> <debian-science-maintainers@lists.alioth.debian.org>
>    mathgl
>    udav
>
> Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
>    getdp
>    jhdf
>    libcgns
>    scilab
>
> Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
>    mathgl (U)
>
> Dirk Eddelbuettel <edd@debian.org>
>    r-cran-hdf5
>
> Dominique Belhachemi <domibel@debian.org>
>    vtk (U)
>
> Francesco Paolo Lovergine <frankie@debian.org>
>    gdal (U)
>    h5utils (U)
>    netcdf (U)
>
> Gerber van der Graaf <gerber_graaf@users.sourceforge.net>
>    gpiv
>    gpivtools
>    libgpiv
>    pygpiv
>
> Gürkan Sengün <gurkan@phys.ethz.ch>
>    gnudatalanguage
>
> Henning Glawe <glaweh@debian.org>
>    libpdl-io-hdf5-perl
>
> Josselin Mouette <joss@debian.org>
>    tessa
>
> Juan A. Añel <aetherlux@gulo.org>
>    gnudatalanguage (U)
>
> Mathieu Malaterre <mathieu.malaterre@gmail.com>
>    vtk (U)
>
> Salvatore Bonaccorso <carnil@debian.org>
>    udav (U)
>
> Soeren Sonnenburg <sonne@debian.org>
>    h5py
>    shogun
>
> Sylvestre Ledru <sylvestre@debian.org>
>    jhdf (U)
>    libcgns (U)
>    scilab (U)
>
> Sébastien Villemot <sebastien.villemot@ens.fr>
>    octave-bim (U)
>    octave-msh (U)
>
> Thibaut Paumard <paumard@users.sourceforge.net>
>    yorick-hdf5
>
> Thomas Weber <tweber@debian.org>
>    octave-bim (U)
>    octave-msh (U)
>    octave3.2 (U)
>
> Thorsten Alteholz <debian@alteholz.de>
>    meep
>    meep-mpich
>    meep-openmpi
>    mpb
>
> Tobias Stefan Richter <tsr-debian@achos.com>
>    nexus
>
> Wen Heping <wenheping@gmail.com>
>    pytables
>
> Yaroslav Halchenko <debian@onerussian.com>
>    stimfit (U)
>
> Youhei SASAKI <uwabami@gfd-dennou.org>
>    ruby-hdfeos5 (U)
>
>
>
>


-- 
Alastair McKinstry  , <alastair@sceal.ie> , <mckinstry@debian.org>    http://blog.sceal.ie

Anyone who believes exponential growth can go on forever in a finite world
is either a madman or an economist - Kenneth Boulter, Economist.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Thu, 26 Jan 2012 19:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 26 Jan 2012 19:39:06 GMT) Full text and rfc822 format available.

Message #141 received at 631019@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Alastair McKinstry <mckinstry@debian.org>, 631019@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>, "A. Maitland Bottoms" <bottoms@debian.org>, Axel Beckert <abe@debian.org>, Carlo Segre <segre@debian.org>, Christoph Schmidt-Hieber <christsc@gmx.de>, Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, D Haley <mycae@yahoo.com>, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>, Debian QA Group <packages@qa.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>, Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>, Dirk Eddelbuettel <edd@debian.org>, Dominique Belhachemi <domibel@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, Gerber van der Graaf <gerber_graaf@users.sourceforge.net>, Gürkan Sengün <gurkan@phys.ethz.ch>, Henning Glawe <glaweh@debian.org>, Josselin Mouette <joss@debian.org>, "Juan A." Añel <aetherlux@gulo.org>, Mathieu Malaterre <mathieu.malaterre@gmail.com>, Salvatore Bonaccorso <carnil@debian.org>, Soeren Sonnenburg <sonne@debian.org>, Sébastien Villemot <sebastien.villemot@ens.fr>, Thibaut Paumard <paumard@users.sourceforge.net>, Thomas Weber <tweber@debian.org>, Thorsten Alteholz <debian@alteholz.de>, Tobias Stefan Richter <tsr-debian@achos.com>, Wen Heping <wenheping@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#631019: HDF5 transition from version 1.8.6 => 1.8.8
Date: Thu, 26 Jan 2012 20:36:47 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jan 26, 2012 at 13:41:02 +0000, Alastair McKinstry wrote:

> Hi,
> 
> Who from the GIS team is going to build and upload netcdf?

I've just scheduled binNMUs for netcdf, there should be no need for a
source upload.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 631019: 657534 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 26 Jan 2012 21:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Fri, 27 Jan 2012 08:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Francesco P. Lovergine" <frankie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Jan 2012 08:45:09 GMT) Full text and rfc822 format available.

Message #148 received at 631019@bugs.debian.org (full text, mbox):

From: "Francesco P. Lovergine" <frankie@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Alastair McKinstry <mckinstry@debian.org>, 631019@bugs.debian.org, Sylvestre Ledru <sylvestre@debian.org>, "A. Maitland Bottoms" <bottoms@debian.org>, Axel Beckert <abe@debian.org>, Carlo Segre <segre@debian.org>, Christoph Schmidt-Hieber <christsc@gmx.de>, Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, D Haley <mycae@yahoo.com>, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>, Debian QA Group <packages@qa.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>, Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>, Dirk Eddelbuettel <edd@debian.org>, Dominique Belhachemi <domibel@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, Gerber van der Graaf <gerber_graaf@users.sourceforge.net>, Gürkan Sengün <gurkan@phys.ethz.ch>, Henning Glawe <glaweh@debian.org>, Josselin Mouette <joss@debian.org>, "Juan A." Añel <aetherlux@gulo.org>, Mathieu Malaterre <mathieu.malaterre@gmail.com>, Salvatore Bonaccorso <carnil@debian.org>, Soeren Sonnenburg <sonne@debian.org>, Sébastien Villemot <sebastien.villemot@ens.fr>, Thibaut Paumard <paumard@users.sourceforge.net>, Thomas Weber <tweber@debian.org>, Thorsten Alteholz <debian@alteholz.de>, Tobias Stefan Richter <tsr-debian@achos.com>, Wen Heping <wenheping@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#631019: HDF5 transition from version 1.8.6 => 1.8.8
Date: Fri, 27 Jan 2012 09:41:40 +0100
On Thu, Jan 26, 2012 at 08:36:47PM +0100, Julien Cristau wrote:
> On Thu, Jan 26, 2012 at 13:41:02 +0000, Alastair McKinstry wrote:
> 
> > Hi,
> > 
> > Who from the GIS team is going to build and upload netcdf?
> 
> I've just scheduled binNMUs for netcdf, there should be no need for a
> source upload.
> 

Right, I'm currently working on the experimental branch that will
need a specific transition in the next future. Current unstable version
is good enough as it is.


-- 
Francesco P. Lovergine




Added blocking bug(s) of 631019: 657669 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 27 Jan 2012 20:51:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 631019: 658307, 658310, and 658281 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 01 Feb 2012 23:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Tue, 07 Feb 2012 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 07 Feb 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #157 received at 631019@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 631019@bugs.debian.org
Subject: Re: Bug#631019: HDF5 transition, the return!
Date: Tue, 7 Feb 2012 19:35:31 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jan  9, 2012 at 22:03:58 +0100, Julien Cristau wrote:

> Go ahead with hdf5 1.8.8 in sid then, and I'll know who to hunt down if
> there's issues.
> 
Current issues:
- 658310: ruby-hdfeos5 FTBFS
- 657669: cdo build-depends (indirectly) on the serial and mpi versions
  of hdf5, which aren't co-installable
- 657203: mpb FTBFS
- 652315: mpi-defaults, not sure what this is about
- 651452: illuminator FTBFS
- 657534: tessa FTBFS
- 658307: minc, same issue as cdo
- 658281: adios, same issue as cdo
- 657199: libgpiv FTBFS

These need to get fixed (or removed).  Sooner is better.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Thu, 09 Feb 2012 16:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 09 Feb 2012 16:30:04 GMT) Full text and rfc822 format available.

Message #162 received at 631019@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 631019@bugs.debian.org
Subject: Fwd: Re: Bug#657949: Cannot install libhdf5-mpi-dev and libnetcdf-dev
Date: Thu, 09 Feb 2012 16:26:20 +0000
[Message part 1 (text/plain, inline)]
Hi Sylvestre,

I noticed that you weren't on the CC: list for this mail. Just to check,
are you "resetting
the dependencies" in HDF5 so that netCDF can be fixed?

regards
Alastair


-------- Original Message --------
Subject: 	Re: Bug#657949: Cannot install libhdf5-mpi-dev and libnetcdf-dev
Resent-Date: 	Wed, 8 Feb 2012 15:28:09 +0000 (UTC)
Resent-From: 	debian-devel@lists.debian.org
Date: 	Wed, 8 Feb 2012 16:27:07 +0100
From: 	Francesco P. Lovergine <frankie@debian.org>
To: 	Alastair McKinstry <mckinstry@debian.org>
CC: 	Steve M. Robbins <steve@sumost.ca>, 658281@bugs.debian.org,
debian-devel@lists.debian.org, Francesco P. Lovergine <frankie@debian.org>



On Wed, Feb 08, 2012 at 02:32:07PM +0000, Alastair McKinstry wrote:
> Hi Francesco,
> 
> Do you recommend that we build the next NetCDF from 4.1.1 or should we
> use the 4.1.3 from experimental as the base?
> 
> Regards
> Alastair
> 

AFAIK Sylvestre is going to reset the dependencies chain in hdf5 to avoid that
kind of problem. About 4.1.3 in experimental, it still needs a bit of work,
and I'm going to split in separate packages current netcdf 4.1.1 
before, in order to have a decent organization of all solibs to
have a smooth migration to 4.1.3. You have free access to the git repository,
so a branch can be prepared for having a parallel flavor too.

-- 
Francesco P. Lovergine


-- 
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/20120208152707.GB3038@gandalf.is-a-geek.org


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Thu, 09 Feb 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 09 Feb 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #167 received at 631019@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Alastair McKinstry <mckinstry@debian.org>
Cc: 631019@bugs.debian.org
Subject: Re: Fwd: Re: Bug#657949: Cannot install libhdf5-mpi-dev and libnetcdf-dev
Date: Thu, 09 Feb 2012 18:45:36 +0100
Hello

I am going to make some changes in the dependencies of hdf5. However,
reseting is maybe a too strong word.

Sylvestre

Le jeudi 09 février 2012 à 16:26 +0000, Alastair McKinstry a écrit :
> Hi Sylvestre,
> 
> I noticed that you weren't on the CC: list for this mail. Just to
> check, are you "resetting
> the dependencies" in HDF5 so that netCDF can be fixed?
> 
> regards
> Alastair
> 
> 
> -------- Original Message -------- 
>                           Subject: 
> Re: Bug#657949: Cannot install
> libhdf5-mpi-dev and libnetcdf-dev
>                       Resent-Date: 
> Wed, 8 Feb 2012 15:28:09 +0000
> (UTC)
>                       Resent-From: 
> debian-devel@lists.debian.org
>                              Date: 
> Wed, 8 Feb 2012 16:27:07 +0100
>                              From: 
> Francesco P. Lovergine
> <frankie@debian.org>
>                                To: 
> Alastair McKinstry
> <mckinstry@debian.org>
>                                CC: 
> Steve M. Robbins <steve@sumost.ca>,
> 658281@bugs.debian.org,
> debian-devel@lists.debian.org,
> Francesco P. Lovergine
> <frankie@debian.org>
> 
> 
> On Wed, Feb 08, 2012 at 02:32:07PM +0000, Alastair McKinstry wrote:
> > Hi Francesco,
> > 
> > Do you recommend that we build the next NetCDF from 4.1.1 or should we
> > use the 4.1.3 from experimental as the base?
> > 
> > Regards
> > Alastair
> > 
> 
> AFAIK Sylvestre is going to reset the dependencies chain in hdf5 to avoid that
> kind of problem. About 4.1.3 in experimental, it still needs a bit of work,
> and I'm going to split in separate packages current netcdf 4.1.1 
> before, in order to have a decent organization of all solibs to
> have a smooth migration to 4.1.3. You have free access to the git repository,
> so a branch can be prepared for having a parallel flavor too.
> 
> -- 
> Francesco P. Lovergine
> 
> 






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Wed, 15 Feb 2012 12:00:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jörg-Volker Peetz <jvpeetz@web.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 15 Feb 2012 12:00:47 GMT) Full text and rfc822 format available.

Message #172 received at 631019@bugs.debian.org (full text, mbox):

From: Jörg-Volker Peetz <jvpeetz@web.de>
To: 631019@bugs.debian.org
Subject: Problem with HDF5 transition from version 1.8.6 => 1.8.8
Date: Wed, 15 Feb 2012 12:59:00 +0100
Hi,

using the packages "octave3.2", "octave3.2-headers", and "paraview", I've
encountered a problem trying to do this transition. With testing I'm using these
packages together with "libhdf5-openmpi-1.8.4" and "libhdf5-openmpi-dev".

Am I right, that it should also be possible after the transition to use the
openmpi-version of the hdf5 packages, i.e., "libhdf5-openmpi-dev" and
"libhdf5-openmpi-7" as they also provide "libhdf5-7"?

I can install the packages "libhdf5-openmpi-dev" and "libhdf5-openmpi-7" alone.
But when I try to install "paraview" and/or "octave3.2" with aptitude or apt-get
the package "libhdf5-7" is to be installed as a dependency but it conflicts with
"libhdf5-openmpi-7".

Any help would be appreceated.
--
Best regards,
Jörg-Volker.


P.S.: Momentarily I've installed the serial version of libhdf5:

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (600, 'testing'), (500, 'unstable'), (5, 'experimental')
Architecture: amd64 (x86_64)

Versions of related packages on my system
  hdf5-helpers        1.8.8-6
  libhdf5-7           1.8.8-6
  libhdf5-dev         1.8.8-6
  libhdf5-serial-dev  1.8.8-6
  octave3.2           3.2.4-12+b1
  octave3.2-common    3.2.4-12
  octave3.2-emacsen   3.2.4-12
  octave3.2-headers   3.2.4-12+b1
  paraview            3.12.0-4





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Fri, 17 Feb 2012 18:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 17 Feb 2012 18:57:10 GMT) Full text and rfc822 format available.

Message #177 received at 631019@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 631019@bugs.debian.org
Subject: Re: Bug#631019: HDF5 transition, the return!
Date: Fri, 17 Feb 2012 18:36:10 +0100
[Message part 1 (text/plain, inline)]
On Tue, Feb  7, 2012 at 19:35:31 +0100, Julien Cristau wrote:

> - 657669: cdo build-depends (indirectly) on the serial and mpi versions
>   of hdf5, which aren't co-installable
> - 658307: minc, same issue as cdo
> - 658281: adios, same issue as cdo
> 
I've pushed to
http://anonscm.debian.org/gitweb/?p=users/jcristau/hdf5.git a change
which should help with this.  I'll probably upload something based on
that tomorrow unless I hear otherwise.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#631019; Package release.debian.org. (Wed, 22 Feb 2012 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 22 Feb 2012 22:42:03 GMT) Full text and rfc822 format available.

Message #182 received at 631019@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 631019@bugs.debian.org
Cc: "A. Maitland Bottoms" <bottoms@debian.org>, Alastair McKinstry <mckinstry@debian.org>, Axel Beckert <abe@debian.org>, Carlo Segre <segre@debian.org>, Christoph Schmidt-Hieber <christsc@gmx.de>, Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, D Haley <mycae@yahoo.com>, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>, Debian QA Group <packages@qa.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>, Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>, Dirk Eddelbuettel <edd@debian.org>, Dominique Belhachemi <domibel@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, Gerber van der Graaf <gerber_graaf@users.sourceforge.net>, Gürkan Sengün <gurkan@phys.ethz.ch>, Henning Glawe <glaweh@debian.org>, Josselin Mouette <joss@debian.org>, Juan A. Añel <aetherlux@gulo.org>, Mathieu Malaterre <mathieu.malaterre@gmail.com>, Salvatore Bonaccorso <carnil@debian.org>, Soeren Sonnenburg <sonne@debian.org>, Sébastien Villemot <sebastien.villemot@ens.fr>, Thibaut Paumard <paumard@users.sourceforge.net>, Thomas Weber <tweber@debian.org>, Thorsten Alteholz <debian@alteholz.de>, Tobias Stefan Richter <tsr-debian@achos.com>, Wen Heping <wenheping@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#631019: HDF5 transition from version 1.8.6 => 1.8.8
Date: Wed, 22 Feb 2012 23:38:38 +0100
[Message part 1 (text/plain, inline)]
On Wed, Jan 18, 2012 at 19:34:16 +0100, Sylvestre Ledru wrote:

> Hello,
> 
> It has been a long time since the last upload of hdf5 in unstable but
> here it is, version 1.8.8 is in unstable!
> 
And now hdf5 1.8.8 is finally in wheezy.  This is not completely over
yet, as libhdf5-lam-1.8.4 is still in testing with some reverse
dependencies, and as I had to remove some other packages from testing to
make progress.

Specifically, from a quick look at least these packages still need
fixing in testing:
- libgpiv (unfixed in sid)
- hdf-eos5 (should be ok tomorrow)
- jhdf (out of date on kfreebsd-* in sid)
- mpb (should be ok tomorrow)
- pytables (ftbfs in sid)
- tessa (ftbfs in sid)

And the following ones were (hopefully temporarily) removed:
- gnudatalanguage
- plplot
- sdpa
- ruby-hdfeos5
- petsc
- slepc
- getdp
- illuminator
- minc
- gmsh
- caret
- cl-plplot
- gpiv
- gpivtools
- octave-bim octave-msh

If you maintain one of those packages and need help getting them back in
testing feel free to contact debian-release.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 631019 blocks 573187 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 29 Feb 2012 00:33:05 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 03 Apr 2012 18:36:04 GMT) Full text and rfc822 format available.

Notification sent to Sylvestre Ledru <sylvestre@debian.org>:
Bug acknowledged by developer. (Tue, 03 Apr 2012 18:36:04 GMT) Full text and rfc822 format available.

Message #189 received at 631019-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 631019-done@bugs.debian.org
Subject: Re: Bug#631019: HDF5 transition from version 1.8.6 => 1.8.8
Date: Tue, 3 Apr 2012 20:33:19 +0200
[Message part 1 (text/plain, inline)]
On Wed, Feb 22, 2012 at 23:38:38 +0100, Julien Cristau wrote:

> On Wed, Jan 18, 2012 at 19:34:16 +0100, Sylvestre Ledru wrote:
> 
> > Hello,
> > 
> > It has been a long time since the last upload of hdf5 in unstable but
> > here it is, version 1.8.8 is in unstable!
> > 
> And now hdf5 1.8.8 is finally in wheezy.  This is not completely over
> yet, as libhdf5-lam-1.8.4 is still in testing with some reverse
> dependencies, and as I had to remove some other packages from testing to
> make progress.
> 
Done now, no more hdf5 1.8.4 in testing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 May 2012 07:35:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:10:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.